slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetBilinearForm

Returns the matrix used in the bilinear form with a generalized problem with semi-definite B.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetBilinearForm(ST st,Mat *B)

Logically Collective

### Input Parameters

| st | - the spectral transformation context

### Output Parameter

| B | - output matrix

### Notes

The output matrix B must be destroyed after use. It will be NULL in case of standard eigenproblems.

### See Also

BVSetMatrix()

### Level

developer

### Location

src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages